/*
 * LazyImporter jEdit Plugin (LazyImporterProperties.java) 
 *  
 * Copyright (C) 2003 Matt Etheridge (matt@etheridge.org)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package org.etheridge.lazyimporter;

public interface LazyImporterProperties
{
  // stores the user-specified class path string
  public static final String USER_DEFINED_CLASSPATH_STRING = "LazyImporter.UserDefinedClassPathString";
  
  // last opened directory in classpath file chooser
  public static final String LAST_OPENED_FILE_CHOOSER_DIRECTORY = "LazyImporter.LastOpenedFileChooserDirectory";
  
  // rt.jar inclusion properties
  public static final String RTJAR_DO_NOT_USE = "LazyImporter.DoNotUseRTJar";
  public static final String RTJAR_AUTO_DETECTED = "LazyImporter.AutoDetectedRTJar";
  public static final String RTJAR_USER_SPECIFIED = "LazyImporter.UserSpecifiedRTJar";
  public static final String RTJAR_USER_SPECIFIED_STRING = "LazyImporter.UserSpecifiedRTJarString";

  // polling property
  public static final String CLASSPATH_POLLING_INTERVAL = "LazyImporter.ClassPathPollingInterval";
  
  // sorting properties
  public static final String SORTING_SORT_ALPHABETICALLY = "LazyImporter.SortAlphabetically";
  public static final String SORTING_CURRENT_PACKAGE_IMPORTS_AT_TOP = "LazyImporter.CurrentPackageImportsAtTop";
  public static final String SORTING_JAVA_IMPORTS_AT_EXTREMITIES = "LazyImporter.JavaImportsAtExtremities";
  public static final String SORTING_JAVA_IMPORTS_AT_TOP = "LazyImporter.JavaImportsAtTop";
  public static final String SORTING_JAVA_IMPORTS_AT_BOTTOM = "LazyImporter.JavaImportsAtBottom";
  
  // layout properties
  public static final String LAYOUT_GROUP_IMPORTS = "LazyImporter.GroupImports";
  public static final String LAYOUT_GROUP_IMPORTS_LEVEL = "LazyImporter.GroupImportsLevel";
  public static final String LAYOUT_GROUP_IMPORTS_SPACING = "LazyImporter.GroupImportsSpacing";
  public static final String MANUAL_GROUP_IMPORTS = "LazyImporter.ManualGroupImports";
  public static final String MANUAL_GROUP_IMPORTS_STRING = "LazyImporter.ManualGroupImportsString";
  
  
  // QuickTouch properties
  public static final String QUICK_IMPORT_RESOLVE_PACKAGE_IMPORTS = "LazyImporter.QuickTouchResolvePackageImports";
  public static final String QUICK_IMPORT_REMOVE_UNUSED_IMPORTS = "LazyImporter.QuickTouchRemoveUnusedImports";
  public static final String QUICK_IMPORT_RESOLVE_MISSING_IMPORTS = "LazyImporter.QuickTouchResolveMissingImports";
  
  // Miscellaneous Options Properties
  public static final String MISC_DISPLAY_CURRENT_PACKAGE_IMPORTS = "LazyImporter.DisplayCurrentPackageImports";
  public static final String MISC_DO_NOT_POPUP_WINDOW_ON_SINGLE_MATCH = "LazyImporter.DoNotPopupWindowOnSingleMatch";
    
}
