/*
 * LazyImporter jEdit Plugin (ImportClassPathMessage.java) 
 *  
 * Copyright (C) 2003 Matt Etheridge (matt@etheridge.org)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package org.etheridge.lazyimporter.gui;

import java.util.List;

import javax.swing.JLabel;

import org.etheridge.lazyimporter.classpath.ClassPathElement;
import org.etheridge.lazyimporter.importer.ClassImportStatement;

import org.gjt.sp.jedit.jEdit;

/**
 * Simple Utility to draw an HTML message
 */
public class ImportClassPathMessage
{
  public static Object constructClassPathMessage(ClassImportStatement importStatement, List classPathElements)
  {
    StringBuffer buffer = new StringBuffer();
    
    buffer.append("<HTML><BODY>");

    // append class name
    buffer.append("<B>" + importStatement.toString() + "</B><BR>");
    

    // if not found, print appropriate message
    if (classPathElements.size() == 0) {
      buffer.append("<P>" + jEdit.getProperty("LazyImporter.ImportedFromMessage.NotFound"));
    } else {
      buffer.append("<P>" + jEdit.getProperty("LazyImporter.ImportedFromMessage.Found"));
      
      buffer.append("<UL>");
      // the first one should be highlighted red
      ClassPathElement firstClassPathElement = (ClassPathElement) classPathElements.get(0);
      buffer.append("<LI><FONT COLOR=\"#FF0000\">" + firstClassPathElement.getName() + " " + 
        jEdit.getProperty("LazyImporter.ImportedFromMessage.ImportedFromHere") + "</FONT></LI>");
      
      // subsequent imports should just be listed
      for (int i = 1; i < classPathElements.size(); i++) {
        buffer.append("<LI>" + ((ClassPathElement)classPathElements.get(i)).getName() + "</LI>");
      }
      buffer.append("</UL>");
    }
    
    buffer.append("</BODY></HTML>");
    
    return new JLabel(buffer.toString());    
  }
}
