/*
 * LazyImporter jEdit Plugin (FilteringImportGroupElement.java) 
 *  
 * Copyright (C) 2004 Matt Etheridge (matt@etheridge.org)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.etheridge.lazyimporter.importer.grouping;

import org.etheridge.lazyimporter.importer.ImportStatement;

/**
 * An ImportGroupElement that can act as a "filter" - in other words, import
 * statements can only "match" this configuration element if certain criteria
 * is met.  For example: import starts with "java.".
 */
public interface FilteringImportGroupElement extends ImportGroupElement
{
  /**
   * @return whether the specified import statement is a "member" of this import
   * group. 
   */
  public boolean doesImportMatch(ImportStatement statement);
}
