/*
 * LazyImporter jEdit Plugin (AlphabeticalImportComparator.java) 
 *  
 * Copyright (C) 2003 Matt Etheridge (matt@etheridge.org)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
 
package org.etheridge.lazyimporter.importer.ordering;

import java.text.Collator;

import java.util.Comparator;

import org.etheridge.lazyimporter.importer.ImportStatement;

/**
 * Compares ImportStatement objects alphabetically.
 */ 
public class AlphabeticalImportComparator implements Comparator
{
  public int compare(Object object1, Object object2)
  {
    ImportStatement importStatement1 = (ImportStatement) object1;
    ImportStatement importStatement2 = (ImportStatement) object2;

    // compare the two import statements, based upon their package name
    // and class name if it has one.
    Collator collator = Collator.getInstance();
    
    return collator.compare(importStatement1.toString(), importStatement2.toString());
  }

  public boolean equals(Object obj)
  {
    // this is an equals on the comparator itself (not the event), so just
    // send the message up to the Object equals() method.
    return super.equals(obj);
  }

}
