/*
 * LazyImporter jEdit Plugin (JavaImportsAtBeginningOrderingStrategy.java) 
 *  
 * Copyright (C) 2003 Matt Etheridge (matt@etheridge.org)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package org.etheridge.lazyimporter.importer.ordering;

import java.util.List;

import org.etheridge.lazyimporter.importer.JavaClass;
import org.etheridge.lazyimporter.importer.ordering.OrderingStrategy;

/**
 * Ordering Strategy that puts all java imports at the top of the import list.
 */
public class JavaImportsAtBeginningOrderingStrategy 
  extends JavaImportOrderingStrategy 
  implements OrderingStrategy
{
  public List orderImports(JavaClass javaClass, List importStatements)
  {
    // strip java imports from import statement list
    List javaImports = stripJavaImports(importStatements);
    
    // add java imports to beginning of import list
    importStatements.addAll(0, javaImports);

    // return the modified list.
    return importStatements;
  }
} 
 

